Bug 250015 - Need Strigi >= 0.5.3 for KDE 4.0 Beta 1
Need Strigi >= 0.5.3 for KDE 4.0 Beta 1
Product: Fedora
Classification: Fedora
Component: strigi (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
: Patch
Depends On:
  Show dependency treegraph
Reported: 2007-07-29 09:46 EDT by Kevin Kofler
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-29 18:47:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2007-07-29 09:46:52 EDT
Description of problem:
KDE 4.0 Beta 1 (3.92.0) now needs Strigi >= 0.5.3. A formal 0.5.4 release is 
probably going to be out shortly. In the meantime, I repackaged 0.5.3 from:
in a standard tarball (the ZIP had everything in a second-level directory 

Here's an updated SRPM:

Version-Release number of selected component (if applicable):
Comment 1 Deji Akingunola 2007-07-29 15:00:59 EDT
I use to periodically check both http://www.vandenoever.info/software/strigi/
and http://strigi.sf.net/ for latest news about strigi, but none of those
mention any new release later than 0.5.1. And I just checked the download page
on sourceforge right now, it still has strigi-0.5.1; do you know if the
development has moved elsewhere?
Comment 2 Kevin Kofler 2007-07-29 15:06:50 EDT
Development happens in KDE SVN, but AFAIK releases are still supposed to happen 
at vandenoever.info (and I believe 0.5.4 is supposed to be up there soon, there 
was a SVN commit saying "Preparing 0.5.4 release" in any case). There appears 
to be some miscommunication there with KDE prereleasing the beta to packagers 
before the version of Strigi required by it is up.
Comment 3 Deji Akingunola 2007-07-29 15:41:37 EDT
If that's case (and if it is going to impact your KDE 4.0 packaging), I think we
should get the source from KDE SVN instead. While I trust you and accept you
know much about this package than I do, I don't know anything about the source
of the 0.5.3 tarball you provided.

PS: Let me know if you're interested in co-maintaining strigi.
Comment 4 Kevin Kofler 2007-07-29 15:46:00 EDT
The URL I've given comes from the kde-windows folks, I don't think they're out 
to trojan their users' machines. (That would ruin KDE's reputation really 
badly. ;-) )

But we can also use something straight out of KDE SVN if you're more 
comfortable with that.
Comment 5 Deji Akingunola 2007-07-29 18:02:27 EDT
I've made a build from a snapshot KDE SVN checked out this afternoon. The rpm
spec and src.rpm are at ftp://czar.eas.yorku.ca/pub/strigi/strigi.spec and
ftp://czar.eas.yorku.ca/pub/strigi/strigi-0.5.4-0.1.svn20070729.src.rpm. Let me
know if you're O.K. with it, and I'll then build it for rawhide.
Comment 6 Kevin Kofler 2007-07-29 18:04:41 EDT
I'm fine with it.
Comment 7 Deji Akingunola 2007-07-29 18:47:48 EDT
Built (strigi-0.5.4-0.1.svn20070729) successfully in koji.
Comment 8 Kevin Kofler 2007-08-04 21:23:27 EDT
The official 0.5.4 is now out on the KDE mirrors:

It's actually 3 days older than the snapshot you've been using, but I think the 
best way to proceed is to push this one to all branches.

Note You need to log in before you can comment on or make changes to this bug.